Package be.fgov.ehealth.technicalconnector.signature

# Enum Class AdvancedElectronicSignatureEnumeration

java.lang.Object
java.lang.Enum<AdvancedElectronicSignatureEnumeration>
be.fgov.ehealth.technicalconnector.signature.AdvancedElectronicSignatureEnumeration

All Implemented Interfaces:
  `Serializable`, `Comparable<AdvancedElectronicSignatureEnumeration>`, `java.lang.constant.Constable`

public enum AdvancedElectronicSignatureEnumeration extends Enum<AdvancedElectronicSignatureEnumeration>
Enumeration of the different signature types that can be supported.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CAdES`
  CAdES: Basic Electronic Signature.
  `CAdES_A`
  CAdES-A: Archival Electronic Signatures.
  `CAdES_C`
  CAdES-C: Electronic Signature with Complete Validation Data References.
  `CAdES_T`
  CAdES-T: Electronic Signature with Time.
  `CAdES_X`
  CAdES-X: Extended Signatures with Time Forms.
  `CAdES_X_L`
  CAdES-X-L: Extended Long Electronic Signatures with Time.
  `CMS`
  CMS: Cryptographic Message Syntax
  `XAdES`
  XAdES: Basic Electronic Signature.
  `XAdES_A`
  XAdES-A: Archival Electronic Signatures.
  `XAdES_C`
  XAdES-C: Electronic Signature with Complete Validation Data References.
  `XAdES_T`
  XAdES-T: Electronic Signature with Time.
  `XAdES_X`
  XAdES-X: Extended Signatures with Time Forms.
  `XAdES_X_L`
  XAdES-X-L: Extended Long Electronic Signatures with Time.
  `XML`
  XML digital signature

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNickname()`
  `String`
  `getTitle()`
  `static AdvancedElectronicSignatureEnumeration`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AdvancedElectronicSignatureEnumeration[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XML

    public static final AdvancedElectronicSignatureEnumeration XML
    XML digital signature

  - ### XAdES

    public static final AdvancedElectronicSignatureEnumeration XAdES
    XAdES: Basic Electronic Signature.

  - ### XAdES_T

    public static final AdvancedElectronicSignatureEnumeration XAdES_T
    XAdES-T: Electronic Signature with Time.

  - ### XAdES_C

    public static final AdvancedElectronicSignatureEnumeration XAdES_C
    XAdES-C: Electronic Signature with Complete Validation Data References.

  - ### XAdES_X

    public static final AdvancedElectronicSignatureEnumeration XAdES_X
    XAdES-X: Extended Signatures with Time Forms.

  - ### XAdES_X_L

    public static final AdvancedElectronicSignatureEnumeration XAdES_X_L
    XAdES-X-L: Extended Long Electronic Signatures with Time.

  - ### XAdES_A

    public static final AdvancedElectronicSignatureEnumeration XAdES_A
    XAdES-A: Archival Electronic Signatures.

  - ### CMS

    public static final AdvancedElectronicSignatureEnumeration CMS
    CMS: Cryptographic Message Syntax

  - ### CAdES

    public static final AdvancedElectronicSignatureEnumeration CAdES
    CAdES: Basic Electronic Signature.

  - ### CAdES_T

    public static final AdvancedElectronicSignatureEnumeration CAdES_T
    CAdES-T: Electronic Signature with Time.

  - ### CAdES_C

    public static final AdvancedElectronicSignatureEnumeration CAdES_C
    CAdES-C: Electronic Signature with Complete Validation Data References.

  - ### CAdES_X

    public static final AdvancedElectronicSignatureEnumeration CAdES_X
    CAdES-X: Extended Signatures with Time Forms.

  - ### CAdES_X_L

    public static final AdvancedElectronicSignatureEnumeration CAdES_X_L
    CAdES-X-L: Extended Long Electronic Signatures with Time.

  - ### CAdES_A

    public static final AdvancedElectronicSignatureEnumeration CAdES_A
    CAdES-A: Archival Electronic Signatures.

- ## Method Details

  - ### values

    public static AdvancedElectronicSignatureEnumeration[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AdvancedElectronicSignatureEnumeration valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNickname

    public String getNickname()

  - ### getTitle

    public String getTitle()